osl::eval::ml::King25Effect Class Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 17 * 128 }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state)

## Static Public Attributes

static CArray< int, DIM > | table

## Static Private Member Functions

static void | countEffectAndPieces (const NumEffectState &state, const Player attack, int &effect, int &piece)
static int | index (int effect, int piece_count)

## Detailed Description

Definition at line 124 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 133 of file kingTable.h.

## Member Function Documentation

## countEffectAndPieces()

void osl::eval::ml::King25Effect::countEffectAndPieces | ( | const NumEffectState & | state,
|  | const Player | attack,
|  | int & | effect,
|  | int & | piece )

static private

Definition at line 404 of file kingTable.cc.

References osl::alt(), osl::container::PieceMask64::countBit(), osl::NumEffectState::countEffect(), osl::NumEffectState::effectSetAt(), osl::SimpleState::kingSquare(), osl::NumEffectState::piecesOnBoard(), osl::Square::x(), and osl::Square::y().

Referenced by eval().

## eval()

int osl::eval::ml::King25Effect::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 437 of file kingTable.cc.

References osl::BLACK, countEffectAndPieces(), index(), table, and osl::WHITE.

## index()

int osl::eval::ml::King25Effect::index | ( | int | effect,
|  | int | piece_count )

static private

Definition at line 432 of file kingTable.cc.

Referenced by eval().

## setUp()

void osl::eval::ml::King25Effect::setUp | ( | const Weights & | weights | ) |

static

Definition at line 394 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< int, osl::eval::ml::King25Effect::DIM > osl::eval::ml::King25Effect::table

static

Definition at line 134 of file kingTable.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc